Type: Answers

Type: Errata

Area: Intellectual Property



Quartus II Software v13.0 SP1 Does Not Recognize Some IP Core Changes From 13.0

Description

When you open a Quartus II v13.0 project in the Quartus II software v13.0 SP1, the software does not recognize IP core changes since the v13.0 release. Therefore, the software does not prompt you to update the IP cores in the project that you created in the v13.0 software.

This issue is known to affect the following IP cores:

  • 50G Interlaken MegaCore function
  • CPRI MegaCore function
  • DDR and DDR2 SDRAM Controllers with ALTMEMPHY IP MegaCore function
  • DDR3 SDRAM Controller with ALTMEMPHY IP MegaCore function
  • DDR2, DDR3, and LPDDR2 SDRAM Controller with UniPHY IP Core
  • Deinterlacer MegaCore function
  • FFT MegaCore function
  • RapidIO MegaCore function
  • RapidIO II MegaCore function
  • Serial Digital Interface (SDI) MegaCore function
  • SDI II MegaCore function
  • Triple-Speed Ethernet MegaCore function

Workaround/Fix

To work around this issue, you can force an upgrade of the IP cores in your design. To force the IP cores to upgrade to their 13.0 SP1 versions, follow these steps:

  1. Open your Quartus II project in the Quartus II software v13.0 SP1.
  2. On the Project menu, click Upgrade IP Components.
  3. Select the IP cores to upgrade.
  4. Click Upgrade.

This issue will be fixed in a future version of the Quartus II software.